Impatica Knowledgebase

KB-000068: I have an Impatica ShowMate BlackBerry Edition. Will it work with my Sony Ericsson handheld or do I have to purchase a ShowMate Sony Ericsson Edition?

Any ShowMate device with firmware version 2.1.0 or later supports Sony Ericsson devices. Firmware v2.0.3 also works fine with the external Bluetooth version of the ShowMate.

Would you like to...

Print this page Print this page

Email this page Email this page

Post a comment Post a comment

Subscribe me

Add to favoritesAdd to favorites

User Opinions (1 vote)

100% thumbs up 0% thumbs down

How would you rate this answer?

Helpful
Not helpful
Thank you for rating this answer.